Bug 465603 - Updating to selinux-policy-target gave errors
Updating to selinux-policy-target gave errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 07:12 EDT by Rodd Clarkson
Modified: 2008-11-17 17:05 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:05:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2008-10-04 07:12:31 EDT
Description of problem:

When running `yum update` I got the following output.  Note that something has gone wrong when Updating : selinux-policy-targeted

[rodd@moose ~]$ sudo yum update
[sudo] password for rodd: 
Loaded plugins: refresh-packagekit
livna                                                    | 2.1 kB     00:00     
adobe-linux-i386                                         |  951 B     00:00     
updates-newkey                                           | 2.3 kB     00:00     
updates-testing-newkey                                   | 2.3 kB     00:00     
updates                                                  | 2.6 kB     00:00     
dribble                                                  |  951 B     00:00     
fedora                                                   | 2.4 kB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package selinux-policy.noarch 0:3.3.1-97.fc9 set to be updated
---> Package rpcbind.i386 0:0.1.4-17.fc9 set to be updated
---> Package xorg-x11-drv-nv.i386 0:2.1.10-2.fc9 set to be updated
---> Package selinux-policy-devel.noarch 0:3.3.1-97.fc9 set to be updated
---> Package elfutils.i386 0:0.137-3.fc9 set to be updated
---> Package dhclient.i386 12:4.0.0-20.fc9 set to be updated
---> Package elfutils-libs.i386 0:0.137-3.fc9 set to be updated
---> Package elfutils-libelf.i386 0:0.137-3.fc9 set to be updated
---> Package libdhcp4client.i386 12:4.0.0-20.fc9 set to be updated
---> Package selinux-policy-targeted.noarch 0:3.3.1-97.fc9 set to be updated
---> Package system-config-printer.i386 0:1.0.8-1.fc9 set to be updated
---> Package xorg-x11-drv-evdev.i386 0:2.0.6-1.fc9 set to be updated
---> Package system-config-printer-libs.i386 0:1.0.8-1.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                    Arch   Version         Repository             Size 
================================================================================
Updating:
 dhclient                   i386   12:4.0.0-20.fc9 updates-testing-newkey 308 k
 elfutils                   i386   0.137-3.fc9     updates-testing-newkey 228 k
 elfutils-libelf            i386   0.137-3.fc9     updates-testing-newkey  59 k
 elfutils-libs              i386   0.137-3.fc9     updates-testing-newkey 194 k
 libdhcp4client             i386   12:4.0.0-20.fc9 updates-testing-newkey 276 k
 rpcbind                    i386   0.1.4-17.fc9    updates-testing-newkey  48 k
 selinux-policy             noarch 3.3.1-97.fc9    updates-testing-newkey 449 k
 selinux-policy-devel       noarch 3.3.1-97.fc9    updates-testing-newkey 562 k
 selinux-policy-targeted    noarch 3.3.1-97.fc9    updates-testing-newkey 1.8 M
 system-config-printer      i386   1.0.8-1.fc9     updates-testing-newkey 365 k
 system-config-printer-libs i386   1.0.8-1.fc9     updates-testing-newkey 748 k
 xorg-x11-drv-evdev         i386   2.0.6-1.fc9     updates-testing-newkey  16 k
 xorg-x11-drv-nv            i386   2.1.10-2.fc9    updates-testing-newkey  97 k

Transaction Summary
================================================================================
Install      0 Package(s)         
Update      13 Package(s)         
Remove       0 Package(s)         

Total download size: 5.1 M
Is this ok [y/N]: y
Downloading Packages:
(1/13): xorg-x11-drv-evdev-2.0.6-1.fc9.i386.rpm          |  16 kB     00:00     
(2/13): rpcbind-0.1.4-17.fc9.i386.rpm                    |  48 kB     00:00     
(3/13): elfutils-libelf-0.137-3.fc9.i386.rpm             |  59 kB     00:00     
(4/13): xorg-x11-drv-nv-2.1.10-2.fc9.i386.rpm            |  97 kB     00:00     
(5/13): elfutils-libs-0.137-3.fc9.i386.rpm               | 194 kB     00:01     
(6/13): elfutils-0.137-3.fc9.i386.rpm                    | 228 kB     00:01     
(7/13): libdhcp4client-4.0.0-20.fc9.i386.rpm             | 276 kB     00:02     
(8/13): dhclient-4.0.0-20.fc9.i386.rpm                   | 308 kB     00:01     
(9/13): system-config-printer-1.0.8-1.fc9.i386.rpm       | 365 kB     00:02     
(10/13): selinux-policy-3.3.1-97.fc9.noarch.rpm          | 449 kB     00:02     
(11/13): selinux-policy-devel-3.3.1-97.fc9.noarch.rpm    | 562 kB     00:03     
(12/13): system-config-printer-libs-1.0.8-1.fc9.i386.rpm | 748 kB     00:06     
(13/13): selinux-policy-targeted-3.3.1-97.fc9.noarch.rpm | 1.8 MB     00:12     
--------------------------------------------------------------------------------
Total                                           144 kB/s | 5.1 MB     00:36     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : elfutils-libelf                                 [ 1/26] 
  Updating       : elfutils-libs                                   [ 2/26] 
  Updating       : libdhcp4client                                  [ 3/26] 
  Updating       : system-config-printer-libs                      [ 4/26] 
  Updating       : elfutils                                        [ 5/26] 
  Updating       : xorg-x11-drv-evdev                              [ 6/26] 
  Updating       : rpcbind                                         [ 7/26] 
  Updating       : xorg-x11-drv-nv                                 [ 8/26] 
  Updating       : dhclient                                        [ 9/26] 
  Updating       : selinux-policy                                  [10/26] 
  Updating       : system-config-printer                           [11/26] 
  Updating       : selinux-policy-devel                            [12/26] 
  Updating       : selinux-policy-targeted                         [13/26] 
/etc/selinux/targeted/contexts/files/file_contexts:  line 1 has invalid regex ?:  Invalid preceding regular expression
libsepol.sepol_context_from_string: malformed context "dnl"
libsepol.sepol_context_from_string: could not construct context from string
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert dnl to sid
invalid context dnl
libsemanage.semanage_install_active: setfiles returned error code 1.
semodule:  Failed!
  Cleanup        : elfutils-libs                                   [14/26] 
  Cleanup        : dhclient                                        [15/26] 
  Cleanup        : xorg-x11-drv-nv                                 [16/26] 
  Cleanup        : system-config-printer                           [17/26] 
  Cleanup        : elfutils                                        [18/26] 
  Cleanup        : rpcbind                                         [19/26] 
  Cleanup        : elfutils-libelf                                 [20/26] 
  Cleanup        : system-config-printer-libs                      [21/26] 
  Cleanup        : libdhcp4client                                  [22/26] 
  Cleanup        : selinux-policy                                  [23/26] 
  Cleanup        : selinux-policy-devel                            [24/26] 
  Cleanup        : selinux-policy-targeted                         [25/26] 
  Cleanup        : xorg-x11-drv-evdev                              [26/26] 

Updated: dhclient.i386 12:4.0.0-20.fc9 elfutils.i386 0:0.137-3.fc9 elfutils-libelf.i386 0:0.137-3.fc9 elfutils-libs.i386 0:0.137-3.fc9 libdhcp4client.i386 12:4.0.0-20.fc9 rpcbind.i386 0:0.1.4-17.fc9 selinux-policy.noarch 0:3.3.1-97.fc9 selinux-policy-devel.noarch 0:3.3.1-97.fc9 selinux-policy-targeted.noarch 0:3.3.1-97.fc9 system-config-printer.i386 0:1.0.8-1.fc9 system-config-printer-libs.i386 0:1.0.8-1.fc9 xorg-x11-drv-evdev.i386 0:2.0.6-1.fc9 xorg-x11-drv-nv.i386 0:2.1.10-2.fc9
Complete!
[rodd@moose ~]$
Comment 1 Daniel Walsh 2008-10-06 12:45:54 EDT
Fixed in selinux-policy-3.3.1-99.fc9
Comment 2 Daniel Walsh 2008-11-17 17:05:53 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.